package edu.uoc.tfg.yourlovelypet.utils;

public class Result {

    private boolean success;
    private String userId;
    private String error;

    public Result(boolean success, String userId) {
        this.success = success;
        this.userId = userId;
        this.error = null;
    }

    public Result(boolean success, String error, boolean isError) {
        this.success = success;
        this.userId = null;
        this.error = error;
    }

    public boolean isSuccess() {
        return success;
    }

    public String getUserId() {
        return userId;
    }

    public String getError() {
        return error;
    }
}
