package edu.uoc.tfg.yourlovelypet;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;
import edu.uoc.tfg.yourlovelypet.model.Pet;

public class PetUnitTest {
    private Pet pet;

    @Before
    public void setUp() {
        pet = new Pet("testPetName1", "testPetAnimal1", "petBreed1", "petWeight1", "01/01/2024");
    }

    @Test
    public void testGetId() {
        assertNull(pet.getId());
        pet.setId("123456");
        assertEquals("123456", pet.getId());
    }

    @Test
    public void testGetPetName() {
        assertEquals("testPetName1", pet.getPetName());
        pet.setPetName("testPetName2");
        assertEquals("testPetName2", pet.getPetName());
    }

    @Test
    public void testGetPetAnimal() {
        assertEquals("testPetAnimal1", pet.getPetAnimal());
        pet.setPetAnimal("testPetAnimal2");
        assertEquals("testPetAnimal2", pet.getPetAnimal());
    }

    @Test
    public void testGetPetBreed() {
        assertEquals("petBreed1", pet.getPetBreed());
        pet.setPetBreed("petBreed2");
        assertEquals("petBreed2", pet.getPetBreed());
    }

    @Test
    public void testGetPetWeight() {
        assertEquals("petWeight1", pet.getPetWeight());
        pet.setPetWeight("petWeight2");
        assertEquals("petWeight2", pet.getPetWeight());
    }

    @Test
    public void testGetPetBirthdate() {
        assertEquals("01/01/2024", pet.getPetBirthdate());
        pet.setPetBirthdate("02/02/2020");
        assertEquals("02/02/2020", pet.getPetBirthdate());
    }

    @Test
    public void testSetters() {
        pet.setId("654321");
        pet.setPetName("petName3");
        pet.setPetAnimal("petAnimal3");
        pet.setPetBreed("petBreed3");
        pet.setPetWeight("petWeight3");
        pet.setPetBirthdate("22/11/2022");
        assertEquals("654321", pet.getId());
        assertEquals("petName3", pet.getPetName());
        assertEquals("petAnimal3", pet.getPetAnimal());
        assertEquals("petBreed3", pet.getPetBreed());
        assertEquals("petWeight3", pet.getPetWeight());
        assertEquals("22/11/2022", pet.getPetBirthdate());
    }
}