package edu.uoc.tfg.yourlovelypet.model;

public class Pet {

    private static final String DEFAULT = "default";
    private String id;
    private String petName;
    private String petAnimal;
    private String petBreed;
    private String petWeight;
    private String petBirthdate;
    private String imageProfile;

    public Pet() {}

    public Pet(String petName, String petAnimal, String petBreed, String petWeight, String petBirthdate) {
        this.petName = petName;
        this.petAnimal = petAnimal;
        this.petBreed = petBreed;
        this.petWeight = petWeight;
        this.petBirthdate = petBirthdate;
        this.imageProfile = DEFAULT;
    }

    public String getId() {
        return id;
    }
    public String getPetName() {
        return petName;
    }
    public String getPetAnimal() {
        return petAnimal;
    }
    public String getPetBreed() {
        return petBreed;
    }
    public String getPetWeight() {
        return petWeight;
    }
    public String getPetBirthdate() {
        return petBirthdate;
    }
    public String getImageProfile() {
        return imageProfile;
    }

    public void setId(String id) {
        this.id = id;
    }
    public void setPetName(String petName) {
        this.petName = petName;
    }
    public void setPetAnimal(String petAnimal) {
        this.petAnimal = petAnimal;
    }
    public void setPetBreed(String petBreed) {
        this.petBreed = petBreed;
    }
    public void setPetWeight(String petWeight) {
        this.petWeight = petWeight;
    }
    public void setPetBirthdate(String petBirthdate) {
        this.petBirthdate = petBirthdate;
    }
    public void setImageProfile(String filename) {
        this.imageProfile = filename;
    }
}