package edu.uoc.tfg.yourlovelypet;

import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;
import edu.uoc.tfg.yourlovelypet.model.User;

public class UserUnitTest {
    private User user;

    @Before
    public void setUp() {
        user = new User("userName1", "userEmail1@gmail.com", "userLanguage1");
    }

    @Test
    public void testGetId() {
        assertNull(user.getId());
        user.setId("123456");
        assertEquals("123456", user.getId());
    }

    @Test
    public void testGetUserName() {
        assertEquals("userName1", user.getUserName());
        user.setUserName("userName2");
        assertEquals("userName2", user.getUserName());
    }

    @Test
    public void testGetUserEmail() {
        assertEquals("userEmail1@gmail.com", user.getUserEmail());
        user.setUserEmail("userEmail2@gmail.com");
        assertEquals("userEmail2@gmail.com", user.getUserEmail());
    }

    @Test
    public void testGetUserLanguage() {
        assertEquals("userLanguage1", user.getUserLanguage());
        user.setUserLanguage("userLanguage2");
        assertEquals("userLanguage2", user.getUserLanguage());
    }

    @Test
    public void testSetters() {
        user.setId("654321");
        user.setUserName("userName3");
        user.setUserEmail("userEmail3@gmail.com");
        user.setUserLanguage("userLanguage3");
        assertEquals("654321", user.getId());
        assertEquals("userName3", user.getUserName());
        assertEquals("userEmail3@gmail.com", user.getUserEmail());
        assertEquals("userLanguage3", user.getUserLanguage());
    }
}